unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, StdCtrls, SysUtils, Forms, Controls, Graphics, Dialogs;

type
  TForm1 = class(TForm)
    ImageList1: TImageList;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    ScrollBar1: TScrollBar;
    ScrollBar2: TScrollBar;
    ScrollBar3: TScrollBar;
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure ScrollBar1Change(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

procedure TForm1.FormPaint(Sender: TObject);
begin
  // Ohne Overlay
  ImageList1.Draw(Canvas, 20, 20, Scrollbar1.Position);

  // Mit Overlay #0
  ImageList1.Overlay(Scrollbar2.Position, 0);
  ImageList1.DrawOverlay(Canvas, 20, 60, Scrollbar1.Position, 0);

  // Mit Overlay #1
  ImageList1.Overlay(Scrollbar3.Position, 1);
  ImageList1.DrawOverlay(Canvas, 20, 100, Scrollbar1.Position, 1);
end;

procedure TForm1.ScrollBar1Change(Sender: TObject);
begin
  Invalidate;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Scrollbar1.Max := 5;  // Index des letzten "normalen" Icons in ImageList1
  Scrollbar2.Max := 8;  // Index des letzten Overlay-Icons in Imagelist1
  Scrollbar2.Min := 6;  // Index des ersten Overlay-Icons in ImageList1
  Scrollbar3.Max := Scrollbar2.Max;
  Scrollbar3.Min := Scrollbar2.Min;
  Scrollbar3.Position := Scrollbar3.Max;
end;

end.

